- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_server_description_t

# mongoc_server_description_new_copy()

## Synopsis

    mongoc_server_description_t *
    mongoc_server_description_new_copy (
       const mongoc_server_description_t *description);

## Parameters

- `description`: A mongoc_server_description_t.

## Description

This function copies the given server description and returns a new server description object. The caller is responsible for destroying the new copy.

## Returns

A copy of the original server description.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.